net.sf.jasperreports.engine.base

## Class JRBasePrintFrame

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBasePrintElement
  - - net.sf.jasperreports.engine.base.JRBasePrintFrame

- All Implemented Interfaces:
    java.io.Serializable, JRBoxContainer, JRCommonElement, JRIdentifiable, JRPrintElement, JRPrintFrame, JRPropertiesHolder, JRStyleContainer

      public class JRBasePrintFrame
      extends JRBasePrintElement
      implements JRPrintFrame

  Base implementation of `JRPrintFrame`.
  Version:
    $Id: JRBasePrintFrame.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement

      `backcolor, defaultStyleProvider, forecolor, height, key, modeValue, origin, style, uuid, width, x, y`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBasePrintFrame(JRDefaultStyleProvider defaultStyleProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
    `void` | `addElement(JRPrintElement element)`
    `void` | `copyBox(JRLineBox lineBox)`
    `java.awt.Color` | `getDefaultLineColor()`
    `java.util.List<JRPrintElement>` | `getElements()` Returns the list of print elements contained in the frame.
    `JRLineBox` | `getLineBox()`
    `ModeEnum` | `getModeValue()` Returns the element transparency mode.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement

      `getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setKey, setMode, setOrigin, setPrintElementId, setSourceElementId, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Constructor Detail

    - #### JRBasePrintFrame

          public JRBasePrintFrame(JRDefaultStyleProvider defaultStyleProvider)

  - ### Method Detail

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRCommonElement`
      Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.
      Specified by:
        `getModeValue` in interface `JRCommonElement`
      Overrides:
        `getModeValue` in class `JRBasePrintElement`

    - #### copyBox

          public void copyBox(JRLineBox lineBox)

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### addElement

          public void addElement(JRPrintElement element)

    - #### getElements

          public java.util.List<JRPrintElement> getElements()

      Description copied from interface: `JRPrintFrame`
      Returns the list of print elements contained in the frame.
      Specified by:
        `getElements` in interface `JRPrintFrame`
      Returns:
        the list of sub print elements

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### accept

          public <T> void accept(PrintElementVisitor<T> visitor,
                        T arg)

      Description copied from interface: `JRPrintElement`
      Accepts a print element visitor.

      The element calls the method that corresponds to the element type on the visitor.

      Specified by:
        `accept` in interface `JRPrintElement`
      Overrides:
        `accept` in class `JRBasePrintElement`
      Type Parameters:
        `T` - the type of the argument passed to the visit operation
      Parameters:
        `visitor` - the visitor objects
        `arg` - the argument passed to the visit operation

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com